package com.ruoyi.label.service;

import java.util.List;
import com.ruoyi.label.domain.TbLabelModelInfo;

/**
 * 标签模板信息Service接口
 * 
 * @author 原动力
 * @date 2023-11-24
 */
public interface ITbLabelModelInfoService 
{
    /**
     * 查询标签模板信息
     * 
     * @param id 标签模板信息主键
     * @return 标签模板信息
     */
    public TbLabelModelInfo selectTbLabelModelInfoById(Long id);

    public TbLabelModelInfo selectTbLabelModelByLabelCode(String labelCode);

    /**
     * 查询标签模板信息列表
     * 
     * @param tbLabelModelInfo 标签模板信息
     * @return 标签模板信息集合
     */
    public List<TbLabelModelInfo> selectTbLabelModelInfoList(TbLabelModelInfo tbLabelModelInfo);

    /**
     * 新增标签模板信息
     * 
     * @param tbLabelModelInfo 标签模板信息
     * @return 结果
     */
    public int insertTbLabelModelInfo(TbLabelModelInfo tbLabelModelInfo);

    /**
     * 修改标签模板信息
     * 
     * @param tbLabelModelInfo 标签模板信息
     * @return 结果
     */
    public int updateTbLabelModelInfo(TbLabelModelInfo tbLabelModelInfo);

    /**
     * 批量删除标签模板信息
     * 
     * @param ids 需要删除的标签模板信息主键集合
     * @return 结果
     */
    public int deleteTbLabelModelInfoByIds(Long[] ids);

    /**
     * 删除标签模板信息信息
     * 
     * @param id 标签模板信息主键
     * @return 结果
     */
    public int deleteTbLabelModelInfoById(Long id);
}
